<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>{% block title %}igroove{% endblock %}</title>

    <!-- Layout idea from: https://github.com/krzysiekpiasecki/Symfonator -->

    <link rel="stylesheet" href="{{ asset('assets/app.css') }}"/>
    {% block stylesheets %}
        <style>
            #loader {
                transition: all 0.3s ease-in-out;
                opacity: 1;
                visibility: visible;
                position: fixed;
                height: 100vh;
                width: 100%;
                background: #fff;
                z-index: 90000;
            }

            #loader.fadeOut {
                opacity: 0;
                visibility: hidden;
            }

            .spinner {
                width: 40px;
                height: 40px;
                position: absolute;
                top: calc(50% - 20px);
                left: calc(50% - 20px);
                background-color: #333;
                border-radius: 100%;
                -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
                animation: sk-scaleout 1.0s infinite ease-in-out;
            }

            @-webkit-keyframes sk-scaleout {
                0% {
                    -webkit-transform: scale(0)
                }
                100% {
                    -webkit-transform: scale(1.0);
                    opacity: 0;
                }
            }

            @keyframes sk-scaleout {
                0% {
                    -webkit-transform: scale(0);
                    transform: scale(0);
                }
                100% {
                    -webkit-transform: scale(1.0);
                    transform: scale(1.0);
                    opacity: 0;
                }
            }

            .form-check {
                margin-left: 1.5rem;
            }
        </style>
    {% endblock %}
</head>
<body class="app">
<!-- @TOC -->
<!-- =================================================== -->
<!--
  + @Page Loader
  + @App Content
      - #Left Sidebar
          > $Sidebar Header
          > $Sidebar Menu
      - #Main
          > $Topbar
          > $App Screen Content
-->

{#
<!-- @Page Loader -->
<!-- =================================================== -->
<div id='loader'>
    <div class="spinner"></div>
</div>
#}
<!-- @App Content -->
<!-- =================================================== -->
<div>
    {% if app.user and is_granted("IS_AUTHENTICATED_REMEMBERED") %}
        {{ render(controller('App\\Controller\\DefaultController::menuAction',{'_route':app.request.get('_route')})) }}
    {% endif %}

    <!-- #Main ============================ -->
    <div class="page-container">
        {% if app.user and is_granted("IS_AUTHENTICATED_REMEMBERED") %}
            {{ render(controller('App\\Controller\\DefaultController::menuTopAction',{'_route':app.request.get('_route')})) }}
        {% endif %}


    {% block body %}{% endblock %}
        {{ render(controller('App\\Controller\\DefaultController::footerAction')) }}
    </div>
</div>


<script>
    (function () {
        if ('serviceWorker' in navigator) {
            navigator.serviceWorker.register('{{ asset('assets/service-worker.js') }}');
        }
    })();
    /*    window.addEventListener('load', () => {
            const loader = document.getElementById('loader');
            setTimeout(() => {
                loader.classList.add('fadeOut');
            }, 300);
        });

     */
</script>

{% block javascripts %}
    <script src="{{ asset('assets/app.js') }}"></script>
{% endblock %}

</body>
</html>